TKN-COMPLETION(1)

NAME

tkn-completion - Prints shell completion scripts

SYNOPSIS

tkn completion [SHELL]

DESCRIPTION

This command prints shell completion code which must be evaluated to provide interactive completion

Supported Shells:
    - bash
    - zsh
    - fish
    - powershell

OPTIONS

-h, --help[=false]
    help for completion

EXAMPLE

To load completions:

Bash:

$ source <(tkn completion bash)

To load completions for each session, execute once:

Linux:
  $ tkn completion bash > /etc/bash_completion.d/tkn

MacOS:
  $ tkn completion bash > /usr/local/etc/bash_completion.d/tkn

Zsh:

$ source <(tkn completion zsh)

To load completions for every sessions, you can execute the following once:

$ echo "autoload -U compinit; compinit" >> /.zshrc

and add the completion to your fpath (may differ from the first one in the fpath array)

$ tkn completion zsh > "${fpath[1]}/_tkn"

You will need to start a new shell for this setup to take effect.

Fish:

$ tkn completion fish | source

To load completions for each session, execute once:

$ tkn completion fish > /.config/fish/completions/tkn.fish

SEE ALSO

tkn(1)